Skip to main content
POST
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
wildCardSearch
Wildcard search
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/wildCardSearch \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceLang": "<string>",
  "count": 25,
  "offset": 123,
  "query": "<string>",
  "sourceLangs": [
    "<string>"
  ],
  "targetLangs": [
    "<string>"
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/wildCardSearch"

payload = {
"sourceLang": "<string>",
"count": 25,
"offset": 123,
"query": "<string>",
"sourceLangs": ["<string>"],
"targetLangs": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceLang: '<string>',
count: 25,
offset: 123,
query: '<string>',
sourceLangs: ['<string>'],
targetLangs: ['<string>']
})
};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/wildCardSearch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "searchResults": [
    {
      "grossScore": 123,
      "score": 123,
      "segmentId": "<string>",
      "source": {
        "client": {
          "id": 123,
          "name": "<string>"
        },
        "createdAt": 123,
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "domain": {
          "id": 123,
          "name": "<string>"
        },
        "filename": "<string>",
        "id": "<string>",
        "key": "<string>",
        "lang": "<string>",
        "modifiedAt": 123,
        "modifiedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "nextSegment": "<string>",
        "previousSegment": "<string>",
        "project": {
          "id": 123,
          "name": "<string>",
          "uid": "<string>"
        },
        "rtl": true,
        "subDomain": {
          "id": 123,
          "name": "<string>"
        },
        "tagMetadata": [
          {
            "content": "<string>",
            "id": "<string>",
            "transAttributes": "<string>",
            "type": "<string>"
          }
        ],
        "text": "<string>"
      },
      "subSegment": true,
      "transMemory": {
        "id": "<string>",
        "name": "<string>",
        "reverse": true,
        "uid": "<string>"
      },
      "translations": [
        {
          "client": {
            "id": 123,
            "name": "<string>"
          },
          "createdAt": 123,
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "domain": {
            "id": 123,
            "name": "<string>"
          },
          "filename": "<string>",
          "id": "<string>",
          "key": "<string>",
          "lang": "<string>",
          "modifiedAt": 123,
          "modifiedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "nextSegment": "<string>",
          "previousSegment": "<string>",
          "project": {
            "id": 123,
            "name": "<string>",
            "uid": "<string>"
          },
          "rtl": true,
          "subDomain": {
            "id": 123,
            "name": "<string>"
          },
          "tagMetadata": [
            {
              "content": "<string>",
              "id": "<string>",
              "transAttributes": "<string>",
              "type": "<string>"
            }
          ],
          "text": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Translation memory UID

Body

application/json

Wildcard search request

Request body for wildcard TM search; supports * and ? wildcards in the query string

sourceLang
string
required

Source language locale

count
integer<int32>

Maximum number of results to return (1-50, default 15)

Required range: 1 <= x <= 50
offset
integer<int32>

Number of results to skip for pagination (default 0)

query
string

Wildcard search query; supports * and ? wildcards. Defaults to * when blank

sourceLangs
string[]
targetLangs
string[]

Target language locales; defaults to all TM target languages

Response

OK

searchResults
object[]

Translation memory search results